Bug 1358739 - Review Request: python-msrest - AutoRest swagger generator Python client runtime
Summary: Review Request: python-msrest - AutoRest swagger generator Python client runtime
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: William Moreno
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal 1297852 1358741
TreeView+ depends on / blocked
 
Reported: 2016-07-21 11:55 UTC by Mohamed El Morabity
Modified: 2017-03-02 03:48 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-02-22 17:24:45 UTC
williamjmorenor: fedora-review+


Attachments (Terms of Use)

Description Mohamed El Morabity 2016-07-21 11:55:36 UTC
Spec URL: https://melmorabity.fedorapeople.org/packages/python-msrest/python-msrest.spec
SRPM URL: https://melmorabity.fedorapeople.org/packages/python-msrest/python-msrest-0.4.0-2.fc24.src.rpm
Description: AutoRest swagger generator Python client runtime
Fedora Account System Username: melmorabity

Comment 3 William Moreno 2016-10-10 21:26:28 UTC
Please ask upstream to add a LICENSE file in the project directory, files have the MIT License text in header but it is prefered to add a LICENSE text.

https://github.com/xingwu1/autorest/blob/master/ClientRuntimes/Python/msrest/msrest/__init__.py

Comment 4 William Moreno 2016-10-10 21:30:44 UTC
This package is licensed under the MIT License, the MIT License is visible in setup.py and pypi page, and all source files have the full license text in header, it is fine to accept this package without a separate LICENSE file?

Comment 5 William Moreno 2016-10-13 04:00:51 UTC
Package Review
==============

[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: License file installed when any subpackage combination is installed.


===== MUST items =====
Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. 
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====
Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: python2-msrest-0.4.4-1.fc26.noarch.rpm
          python3-msrest-0.4.4-1.fc26.noarch.rpm
          python-msrest-0.4.4-1.fc26.src.rpm
python2-msrest.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
python2-msrest.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python3-msrest.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
python3-msrest.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python-msrest.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
python-msrest.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
3 packages and 0 specfiles checked; 0 errors, 6 warnings.

Rpmlint (installed packages)
----------------------------
python2-msrest.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
python2-msrest.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
python3-msrest.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
python3-msrest.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Requires
--------
python2-msrest (rpmlib, GLIBC filtered):
    python(abi)
    python-chardet
    python-enum34
    python-isodate
    python-keyring
    python-requests
    python-requests-oauthlib

python3-msrest (rpmlib, GLIBC filtered):
    python(abi)
    python3-chardet
    python3-isodate
    python3-keyring
    python3-requests
    python3-requests-oauthlib

Provides
--------
python2-msrest:
    python-msrest
    python2-msrest
    python2.7dist(msrest)
    python2dist(msrest)

python3-msrest:
    python3-msrest
    python3.5dist(msrest)
    python3dist(msrest)

Source checksums
----------------
https://pypi.io/packages/source/m/msrest/msrest-0.4.4.zip :
  CHECKSUM(SHA256) this package     : 0520d7be3c8a114fbf997ebdfd60d98a7fd503d3977825407250ef78b8544979
  CHECKSUM(SHA256) upstream package : 0520d7be3c8a114fbf997ebdfd60d98a7fd503d3977825407250ef78b8544979

Comment 6 Mohamed El Morabity 2016-12-19 22:59:57 UTC
(In reply to William Moreno from comment #4)
> This package is licensed under the MIT License, the MIT License is visible
> in setup.py and pypi page, and all source files have the full license text
> in header, it is fine to accept this package without a separate LICENSE file?

FE-Legal: ping?

Comment 7 Mohamed El Morabity 2017-01-26 10:54:54 UTC
Upstream finally included license file:
    https://github.com/Azure/msrest-for-python/commit/890338eb1fd58cfdc70660ff753c04e89483614e

Until a new release is available, I'd like to bundle the license file in the package, as permitted by the guidelines (https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Text).

William, is it OK for you?

Comment 8 William Moreno 2017-01-26 14:18:17 UTC
Package Aproved

Comment 9 Gwyn Ciesla 2017-01-26 14:43:32 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-msrest

Comment 10 Fedora Update System 2017-02-14 10:13:59 UTC
python-msrest-0.4.5-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e6944c54bb

Comment 11 Fedora Update System 2017-02-14 10:14:06 UTC
python-msrest-0.4.5-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfd7cd0287

Comment 12 Fedora Update System 2017-02-14 10:14:11 UTC
python-msrest-0.4.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b1290eea1

Comment 13 Fedora Update System 2017-02-14 22:22:17 UTC
python-msrest-0.4.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1b1290eea1

Comment 14 Fedora Update System 2017-02-14 23:21:53 UTC
python-msrest-0.4.5-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfd7cd0287

Comment 15 Fedora Update System 2017-02-15 03:50:09 UTC
python-msrest-0.4.5-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e6944c54bb

Comment 16 Fedora Update System 2017-02-22 17:24:45 UTC
python-msrest-0.4.5-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-02-22 17:52:01 UTC
python-msrest-0.4.5-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-03-02 03:48:22 UTC
python-msrest-0.4.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.